%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45

Name: kdbg
Summary: A GUI for gdb, the GNU debugger, and KDE.
Version: 1.0.2
Release: 5
Serial: 1
Source: http://download.sourceforge.net/kdbg/%{name}-%{version}.tar.gz
Patch0: kdbg-1.0.2-sin.patch
License: GPL
URL: http://members.telecom.at/~johsixt/kdbg.html
Group: Development/Debuggers
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdesupport gdb
BuildPrereq: qt1x-devel, kdelibs-devel
Prefix: %{kdeprefix}
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
ExcludeArch: ia64

%description
KDbg is a K Desktop Environment (KDE) GUI for gdb, the GNU debugger.
KDbg provides the programmer with an intuitive interface for setting
breakpoints, inspecting variables, and stepping through code.  KDbg
requires X and KDE to be installed in order to run.

%prep
%setup -q
%patch0 -p1 -b .sin

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir} ROOT=/
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{kdeprefix}

make -j $CPUS CXX="${CXX}" CC="${CC}" \
     CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 ist now installed as default)
- rebuilt against the kde1

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- use %%configure
- FHS fxies
- clean up specfile
- fix to build against new libstdc++

* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- updated to 1.0.2

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- built for KDE 1.1.2 / RHL 6.1.

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







